# RP_Jalousiecontrol
allows web based remote control of Jalousie

## requirements

### hardware
Rasperry PI

### software
- python 3.x
- raspberrian

## installation:

### debian packages
sudo apt install git python3-pifacedigitalio python-pifacedigitalio

### checkout sources
cd /var/lib
sudo mkdir Jalousiecontrol
sudo chown pi:pi Jalousiecontrol
git clone https://gitea.devpool.net/stevo/RP_Jalousiecontrol.git

### copy startup scripts and enable autostart
sudo cp ./mc_control.sh /etc/init.d/mc_control.sh
sudo /etc/init.d/mc_control.sh start
sudo /etc/init.d/mc_control.sh stop
sudo update-rc.d mc_control.sh defaults

sudo raspi-config -> 5 - interface options -> P4 SPI -> enable kernel modules



# bookmarks

## Raspberry PI Allgemein
- http://www.mikrocontroller.net/articles/Raspberry_Pi

## Ajax, Java Script, CCS:
- http://flask.pocoo.org/docs/patterns/jquery/
- http://xyzzyxyzzy.net/2012/07/01/ajax-fun-with-jquery-python/
- http://getbootstrap.com/components/#panels
- http://openbook.galileocomputing.de/javascript/
- http://www.w3schools.com/js/js_htmldom_document.asp

## Python webserver mit SSL
- http://www.piware.de/2011/01/creating-an-https-server-in-python/
- http://code.activestate.com/recipes/442473-simple-http-server-supporting-ssl-secure-communica/

## webserver atomatisch starten
- http://raspberrywebserver.com/serveradmin/run-a-script-on-start-up.html
