'''
Created on 27.06.2014

@author: volkma_s
'''


import subprocess
import os
GET_IP_CMD = "hostname -I"

def get_my_ip():
    
    ipAddr=None

    try:
        import socket
        ipAddr = [ip for ip in socket.gethostbyname_ex(socket.gethostname())[2] if not ip.startswith("127.")][:1][0]
    except:
        pass
    
    if ipAddr==None:
        """Returns this computers IP address as a string."""
        ip = subprocess.check_output(GET_IP_CMD, shell=True).decode('utf-8')[:-1]
        ipAddr = ip.strip()
    
    return ipAddr

    


ERROR_FILE_NOT_FOUND = 'File not Found'

def handle_file_request(filename, etype=None):
    if filename.startswith('/'):
        filename = filename[1:]  
        
    filename = os.path.dirname(__file__)+'/../www/'+filename
    
        
    try:
        file_h = open(filename)
        data =  file_h.read()
        
        if etype is None:
            ret = data
        else:
            ret = data.encode(etype) #"utf-8")
        
    except:
        out = ERROR_FILE_NOT_FOUND + " : " + filename
        
        print(out )
        
        if etype is None:
            ret = out
        else:
            ret = out.encode(etype) #"utf-8")
        
    return ret


import unittest

class webutils_UnitTest(unittest.TestCase):
    
    def setUp(self):
        pass
    
    def test_handle_file_request(self):
        ret = handle_file_request('/index.html')
        self.assertTrue(len(ret)>0) 
        
        ret = handle_file_request('index.html')
        self.assertTrue(len(ret)>0) 
        
        ret = handle_file_request('index1.html')
        self.assertTrue( ret.find( ERROR_FILE_NOT_FOUND) == 0)
        pass
        